> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Recipient

> Create a new recipient for bank transfers.



## OpenAPI

````yaml POST /v1/recipients
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients:
    post:
      tags:
        - Recipient Endpoints
      summary: Create Recipient
      description: Create a new recipient for bank transfers.
      operationId: createRecipient
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                accountName:
                  type: string
                  example: Maijid Moujaled
                accountNumber:
                  type: string
                  example: '+233544444444'
                code:
                  type: string
                  example: gh_mtn
                country:
                  type: string
                  example: GH
                currency:
                  type: string
                  example: GHS
                type:
                  type: string
                  example: mobile_money
            example:
              accountName: Maijid Moujaled
              accountNumber: '+233544444444'
              code: gh_mtn
              country: GH
              currency: GHS
              type: mobile_money
      responses:
        '201':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipient:
                    type: object
                    properties:
                      accountName:
                        type: string
                        example: Maijid Moujaled
                      accountNumber:
                        type: string
                        example: '233544444444'
                      code:
                        type: string
                        example: gh_mtn
                      country:
                        type: string
                        example: GH
                      createdAt:
                        type: string
                        example: '2025-03-17T15:42:33.789Z'
                      currency:
                        type: string
                        example: NGN
                      id:
                        type: string
                        example: 91fcd725-0678-4248-8206-331adde1dcc3
                      type:
                        type: string
                        example: mobile_money
                      updatedAt:
                        type: string
                        example: '2025-03-17T15:42:33.789Z'
              examples:
                Success Response:
                  value:
                    recipient:
                      accountName: Maijid Moujaled
                      accountNumber: '233544444444'
                      code: gh_mtn
                      country: GH
                      createdAt: '2025-03-17T15:42:33.789Z'
                      currency: NGN
                      id: 91fcd725-0678-4248-8206-331adde1dcc3
                      type: mobile_money
                      updatedAt: '2025-03-17T15:42:33.789Z'
        '400':
          description: Error Response - Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  details:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          example: accountName
                        message:
                          type: string
                          example: Account name is required
                    example:
                      - field: accountName
                        message: Account name is required
                  error:
                    type: string
                    example: validation_error
                  message:
                    type: string
                    example: Validation failed
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Validation Error:
                  value:
                    details:
                      - field: accountName
                        message: Account name is required
                    error: validation_error
                    message: Validation failed
                    statusCode: 400

````